using System;
using System.Reflection;
using System.Reflection.Emit;

internal sealed class Delegate869 : MulticastDelegate
{
	public extern void Invoke(object object_0, OpCode opCode_0, FieldInfo fieldInfo_0);

	public static void smethod_0(object object_0, OpCode opCode_0, FieldInfo fieldInfo_0, Delegate869 delegate869_1)
	{
		delegate869_1(object_0, opCode_0, fieldInfo_0);
	}

	public extern Delegate869(object object_0, IntPtr intptr_0);

	static Delegate869()
	{
		Class10.smethod_13(typeof(Delegate869).TypeHandle);
	}

	internal static Delegate869 delegate869_0;
}
